Package ru.bitel.bgbilling.plugins.organizer.client.bean

# Class RecordInfo

java.lang.Object
ru.bitel.bgbilling.plugins.organizer.client.bean.RecordInfo

public class RecordInfo extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RecordInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComm()`
  `int`
  `getContractId()`
  `String`
  `getContractName()`
  `String`
  `getGroup()`
  `String`
  `getId()`
  `Period`
  `getPeriod()`
  `String`
  `getStatus()`
  `String`
  `getTitle()`
  `String`
  `getUidCompleted()`
  `String`
  `getUser()`
  `void`
  `setComm(String comm)`
  `void`
  `setContractId(int cid)`
  `void`
  `setContractName(String contractName)`
  `void`
  `setGroup(String group)`
  `void`
  `setId(String id)`
  `void`
  `setPeriod(Period period)`
  `void`
  `setStatus(String status)`
  `void`
  `setTitle(String title)`
  `void`
  `setUidCompleted(String uid_completed)`
  `void`
  `setUser(String user)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RecordInfo

    public RecordInfo()

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int cid)

  - ### getContractName

    public String getContractName()

  - ### setContractName

    public void setContractName(String contractName)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getComm

    public String getComm()

  - ### setComm

    public void setComm(String comm)

  - ### getUser

    public String getUser()

  - ### setUser

    public void setUser(String user)

  - ### getGroup

    public String getGroup()

  - ### setGroup

    public void setGroup(String group)

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public void setPeriod(Period period)

  - ### getStatus

    public String getStatus()

  - ### setStatus

    public void setStatus(String status)

  - ### getUidCompleted

    public String getUidCompleted()

  - ### setUidCompleted

    public void setUidCompleted(String uid_completed)